# QSizeF Class Reference

### [com.trolltech.qt.core package]

### Constructor

- void QSizeF()
- void QSizeF(QSize sz)
- void QSizeF(qreal w, qreal h)

### Constructor Properties

- prototype: The QSizeF prototype object

### Prototype Object Properties

- QSizeF boundedTo(QSizeF arg__1)
- QSizeF expandedTo(QSizeF arg__1)
- qreal height()
- bool isEmpty()
- bool isNull()
- bool isValid()
- QSizeF operator_add_assign(QSizeF arg__1)
- QSizeF operator_divide_assign(qreal c)
- bool operator_equal(QSizeF s2)
- QSizeF operator_multiply_assign(qreal c)
- QSizeF operator_subtract_assign(QSizeF arg__1)
- void readFrom(QDataStream arg__1)
- void scale(QSizeF s, AspectRatioMode mode)
- void setHeight(qreal h)
- void setWidth(qreal w)
- QSize toSize()
- void transpose()
- qreal width()
- void writeTo(QDataStream arg__1)

### Instance Properties

QSizeF objects have no special properties beyond those inherited from the QSizeF prototype object.